/*
 * Class WEL_TVSIL_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_252 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_252 [] = {0xFF01,1551,251,0xFFFF};
static const EIF_TYPE_INDEX egt_2_252 [] = {0xFF01,251,0xFFFF};
static const EIF_TYPE_INDEX egt_3_252 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_252 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_252 [] = {0xFF01,251,0xFFFF};
static const EIF_TYPE_INDEX egt_6_252 [] = {0xFF01,251,0xFFFF};
static const EIF_TYPE_INDEX egt_7_252 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_252 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_252 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_252 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_252 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_252 [] = {0xFF01,251,0xFFFF};


static const struct desc_info desc_252[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_252), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_252), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_252), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_252), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_252), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_252), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_252), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_252), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_252), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_252), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_252), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_252), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01F7 /*251*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_252), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5164, 0xFFFFFFFF},
};
void Init252(void)
{
	IDSC(desc_252, 0, 251);
	IDSC(desc_252 + 1, 1, 251);
	IDSC(desc_252 + 32, 691, 251);
}


#ifdef __cplusplus
}
#endif
